## org.sqlite
Class SQLiteJDBCLoader

    java.lang.Object
      org.sqlite.SQLiteJDBCLoader

    public class SQLiteJDBCLoader

extends Object

Set the system properties, org.sqlite.lib.path, org.sqlite.lib.name, appropriately so that the SQLite JDBC driver can find *.dll, *.jnilib and *.so files, according to the current OS (win, linux, mac). The library files are automatically extracted from this project's package (JAR). usage: call `initialize()` before using SQLite JDBC driver.

Author:
  leo

Constructor Summary
`SQLiteJDBCLoader()`

Method Summary
`static String` `getVersion()`
`static boolean` `initialize()`
`static boolean` `isNativeMode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLiteJDBCLoader

    public SQLiteJDBCLoader()

Method Detail

### initialize

    public static boolean initialize()

### isNativeMode

    public static boolean isNativeMode()

### getVersion

    public static String getVersion()

This work is licensed under a Creative Commons Attribution-ShareAlike 2.1 Japan License.